### Signal

# Fwupd Client::device-removed

since: 0.7.1

#### Declaration

    void
    device_removed (
      FwupdClient* self,
      FwupdDevice* result,
      gpointer user_data
    )

#### Description [src]

The ::device-removed signal is emitted when a device has been removed.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 0.7.1

#### Parameters

`result`

  Type: `FwupdDevice`

  The `FwupdDevice`.

  The data is owned by the caller of the function.